PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
MXCM33_Type Struct Reference

## Description

MXCM33-0/1 (MXCM33)

## Data Fields
__IOM uint32_t | CM33_CTL
__IOM uint32_t | CM33_CMD
__IM uint32_t | CM33_STATUS
__IM uint32_t | RESERVED [13]
__IM uint32_t | CM33_INT_STATUS [16]
__IOM uint32_t | CM33_NMI_CTL [4]
__IM uint32_t | RESERVED1 [12]
__IOM uint32_t | CM33_EVENT_CTL
__IM uint32_t | RESERVED2 [975]
__IOM uint32_t | CM33_S_VECTOR_TABLE_BASE
__IOM uint32_t | CM33_NS_VECTOR_TABLE_BASE
__IM uint32_t | RESERVED3 [1022]
__IOM uint32_t | CM33_PC_CTL
__IM uint32_t | RESERVED4 [15]
__IOM uint32_t | CM33_PC0_HANDLER
__IM uint32_t | RESERVED5 [47]
__IOM uint32_t | CM33_PC1_HANDLER
__IM uint32_t | RESERVED6 [15]
__IOM uint32_t | CM33_PC2_HANDLER
__IM uint32_t | RESERVED7 [15]
__IOM uint32_t | CM33_PC3_HANDLER
__IM uint32_t | RESERVED8 [6047]
__IOM uint32_t | CM33_SYSTEM_INT_CTL [1023]

## Field Documentation

## ◆ CM33_CTL

__IOM uint32_t MXCM33_Type::CM33_CTL

0x00000000 Control

## ◆ CM33_CMD

__IOM uint32_t MXCM33_Type::CM33_CMD

0x00000004 Command

## ◆ CM33_STATUS

__IM uint32_t MXCM33_Type::CM33_STATUS

0x00000008 Status

## ◆ RESERVED

__IM uint32_t MXCM33_Type::RESERVED[13]

## ◆ CM33_INT_STATUS

__IM uint32_t MXCM33_Type::CM33_INT_STATUS[16]

0x00000040 CM33 interrupt status

## ◆ CM33_NMI_CTL

__IOM uint32_t MXCM33_Type::CM33_NMI_CTL[4]

0x00000080 CM33 NMI control

## ◆ RESERVED1

__IM uint32_t MXCM33_Type::RESERVED1[12]

## ◆ CM33_EVENT_CTL

__IOM uint32_t MXCM33_Type::CM33_EVENT_CTL

0x000000C0 CM33 event control

## ◆ RESERVED2

__IM uint32_t MXCM33_Type::RESERVED2[975]

## ◆ CM33_S_VECTOR_TABLE_BASE

__IOM uint32_t MXCM33_Type::CM33_S_VECTOR_TABLE_BASE

0x00001000 CM33 secure vector table base

## ◆ CM33_NS_VECTOR_TABLE_BASE

__IOM uint32_t MXCM33_Type::CM33_NS_VECTOR_TABLE_BASE

0x00001004 CM33 non-secure vector table base

## ◆ RESERVED3

__IM uint32_t MXCM33_Type::RESERVED3[1022]

## ◆ CM33_PC_CTL

__IOM uint32_t MXCM33_Type::CM33_PC_CTL

0x00002000 CM33 protection context control

## ◆ RESERVED4

__IM uint32_t MXCM33_Type::RESERVED4[15]

## ◆ CM33_PC0_HANDLER

__IOM uint32_t MXCM33_Type::CM33_PC0_HANDLER

0x00002040 CM33 protection context 0 handler

## ◆ RESERVED5

__IM uint32_t MXCM33_Type::RESERVED5[47]

## ◆ CM33_PC1_HANDLER

__IOM uint32_t MXCM33_Type::CM33_PC1_HANDLER

0x00002100 CM33 protection context 1 handler

## ◆ RESERVED6

__IM uint32_t MXCM33_Type::RESERVED6[15]

## ◆ CM33_PC2_HANDLER

__IOM uint32_t MXCM33_Type::CM33_PC2_HANDLER

0x00002140 CM33 protection context 2 handler

## ◆ RESERVED7

__IM uint32_t MXCM33_Type::RESERVED7[15]

## ◆ CM33_PC3_HANDLER

__IOM uint32_t MXCM33_Type::CM33_PC3_HANDLER

0x00002180 CM33 protection context 3 handler

## ◆ RESERVED8

__IM uint32_t MXCM33_Type::RESERVED8[6047]

## ◆ CM33_SYSTEM_INT_CTL

__IOM uint32_t MXCM33_Type::CM33_SYSTEM_INT_CTL[1023]

0x00008000 CM33 system interrupt control